# hospital-mobile

基于 unibest: [https://github.com/codercup/unibest](https://github.com/codercup/unibest)，进行开发

![node version](https://img.shields.io/badge/node-%3E%3D18-green)
![pnpm version](https://img.shields.io/badge/pnpm-%3E%3D7.30-green)

<p align="center">
  <a href="https://codercup.github.io/hospital-mobile-docs/" target="_blank">📖 文档地址</a>
  <span style="margin:0 10px;">|</span>
  <a href="https://codercup.github.io/hello-hospital-mobile/" target="_blank">📱 DEMO 地址</a>
</p>

## ⚙️ 环境

- node>=18
- pnpm>=7.30

- UnoCss https://alfred-skyblue.github.io/unocss-docs-cn/
- uni-ui https://hellouniapp.dcloud.net.cn/pages/component/view/view
- uv-ui https://www.uvui.cn/components/intro.html
- wot-ui https://wot-design-uni.pages.dev/component/button
- tmui https://tmui.design/
- firstui https://doc.firstui.cn/docs/introduce.html
- mockjs https://wll8.github.io/mockjs-examples/

## &#x1F4C2; 快速开始

执行 `pnpm i` 安装依赖

执行 `pnpm dev` 运行 `H5`

## 📦 运行（支持热更新）

- web 平台： `pnpm dev:h5`, 然后打开 [http://localhost:9000/](http://localhost:9000/)。
- weixin 平台：`pnpm dev:mp-weixin` 然后打开微信开发者工具，导入本地文件夹，选择本项目的`dist/dev/mp-weixin` 文件。
- APP 平台：`pnpm dev:app`, 然后打开 `HBuilderX`，导入刚刚生成的`dist/dev/app` 文件夹，选择运行到模拟器(开发时优先使用)，或者运行的安卓/ios 基座。

## 🔗 发布

- web 平台： `pnpm build:h5`，打包后的文件在 `dist/build/h5`，可以放到 web 服务器，如 nginx 运行。如果最终不是放在根目录，可以在 `manifest.config.ts` 文件的 `h5.router.base` 属性进行修改。
- weixin 平台：`pnpm build:mp-weixin`, 打包后的文件在 `dist/build/mp-weixin`，然后通过微信开发者工具导入，并点击右上角的“上传”按钮进行上传。
- APP 平台：`pnpm build:app`, 然后打开 `HBuilderX`，导入刚刚生成的`dist/build/app` 文件夹，选择发行 - APP 云打包。
